package com.sf.service.deployment.service;

import java.util.List;

import com.sf.service.deployment.domain.DeploymentModuleList;

/**
 * H5模块包Service接口
 * 
 * @author ztzh
 * @date 2024-04-22
 */
public interface IDeploymentModuleListService 
{
    /**
     * 查询H5模块包
     * 
     * @param id H5模块包主键
     * @return H5模块包
     */
    public DeploymentModuleList selectDeploymentModuleListById(Long id);

    /**
     * 查询H5模块包列表
     * 
     * @param deploymentModuleList H5模块包
     * @return H5模块包集合
     */
    public List<DeploymentModuleList> selectDeploymentModuleListList(DeploymentModuleList deploymentModuleList);

    /**
     * 新增H5模块包
     * 
     * @param deploymentModuleList H5模块包
     * @return 结果
     */
    public int insertDeploymentModuleList(DeploymentModuleList deploymentModuleList);

    /**
     * 修改H5模块包
     * 
     * @param deploymentModuleList H5模块包
     * @return 结果
     */
    public int updateDeploymentModuleList(DeploymentModuleList deploymentModuleList);

    /**
     * 批量删除H5模块包
     * 
     * @param ids 需要删除的H5模块包主键集合
     * @return 结果
     */
    public int deleteDeploymentModuleListByIds(Long[] ids);

    /**
     * 删除H5模块包信息
     * 
     * @param id H5模块包主键
     * @return 结果
     */
    public int deleteDeploymentModuleListById(Long id);
}
