package com.sf.vertx.handle;

import static com.sf.vertx.constans.SACConstants.API_SERVICE_TYPE;
import static com.sf.vertx.constans.SACConstants.CACHE_KEY_CONNECTOR;
import static com.sf.vertx.constans.SACConstants.MOCK_POST;
import static com.sf.vertx.constans.SACConstants.MOCK_PRE;

import com.sf.vertx.api.pojo.ApiConfig;
import com.sf.vertx.api.pojo.AppConfig;
import com.sf.vertx.utils.AppUtils;

import io.vertx.ext.web.RoutingContext;

public abstract class BaseRoutingContextDataHandler {

	protected void ctxData(RoutingContext rc,AppConfig appConfig, ApiConfig apiConfig, String apiCacheKey) {
		// 设置应用配置、接口配置到上下文
		AppUtils.setAppConfigToRoutingContext(appConfig, rc);
		AppUtils.setApiConfigIntoRoutingContext(apiConfig, rc);
		rc.put(API_SERVICE_TYPE, AppConfigHandler.getServiceType(apiCacheKey));

		// mock
		ApiConfig mockPre = AppConfigHandler.getMockApiConfig(apiCacheKey + CACHE_KEY_CONNECTOR + MOCK_PRE);
		if (mockPre != null) {
			rc.put(MOCK_PRE, mockPre);
		}

		ApiConfig mockPost = AppConfigHandler.getMockApiConfig(apiCacheKey + CACHE_KEY_CONNECTOR + MOCK_POST);
		if (mockPre != null) {
			rc.put(MOCK_POST, mockPost);
		}
	}
}
