package com.sf.vertx.handle;

import static com.sf.vertx.constans.SACConstants.GATEWAY_BODY_CODE;

import com.sf.vertx.api.pojo.AppConfig;
import com.sf.vertx.enums.GatewayError;
import com.sf.vertx.exception.ServiceException;
import com.sf.vertx.utils.AppUtils;

import io.vertx.ext.web.RoutingContext;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class BodyPostAnalysisHandlerImpl implements BodyPostAnalysisHandler {

    @Override
    public void handle(RoutingContext ctx) {
        try {
        	// body加解密
        	AppConfig appConfig = AppUtils.getAppConfigFromRoutingContext(ctx);
            if (AppUtils.isEnableDataSecurity(appConfig)) {
            	// 解密
                String bodyStr = AppConfigHandler.bodyDecrypt(ctx.body().asString(), appConfig.getAppCode());
                ctx.put(GATEWAY_BODY_CODE, bodyStr);
            }
        } catch (Exception e) {
            log.error("BodyPostAnalysisHandlerImpl:",e);
            ctx.fail(new ServiceException(GatewayError.DEFAULT_SERVICE_ERROR));
            return;
        }
        ctx.next();
    }
}