package com.sf.vertx.handle;

import static com.sf.vertx.constans.SACConstants.MOCK_PRE;

import com.sf.vertx.api.pojo.ApiConfig;
import com.sf.vertx.api.pojo.MockResponse;
import com.sf.vertx.enums.GatewayError;
import com.sf.vertx.exception.MockException;
import com.sf.vertx.exception.ServiceException;
import com.sf.vertx.utils.AppUtils;

import io.vertx.ext.web.RoutingContext;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class BodyPreCheckHandlerImpl implements BodyPreCheckHandler {

    @Override
    public void handle(RoutingContext rc) {
        try {
            // mock
        	ApiConfig mock = rc.get(MOCK_PRE);
        	if(mock != null) {
        		MockResponse mockResponse = AppUtils.mock(rc, mock);
                if (mockResponse != null) {
                    rc.fail(new MockException(mockResponse.getHttpStatus(), mockResponse.getMockResponse()));
                    return;
                }
        	}
        } catch (Exception e) {
            log.error("BodyPreCheckHandlerImpl:",e);
            rc.fail(new ServiceException(GatewayError.DEFAULT_SERVICE_ERROR));
            return;
        }
        rc.next();
    }
}